Delete Price List Record
Deletes a Price List Record. Deleting the records does not delete the Price List. Optional parameters can be passed in.
Authentication
X-Auth-Tokenstring
### OAuth scopes
| UI Name | Permission | Parameter |
|:--------|:-----------|:----------|
| Products | modify | `store_v2_products` |
| Products | read-only | `store_v2_products_read_only` |
### Authentication header
| Header | Argument | Description |
|:-------|:---------|:------------|
| `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#api-accounts). |
### Further reading
For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests).
For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes).
For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
Path parameters
price_list_id
The ID of the Price List requested.
Query parameters
currency
The 3-letter currency code with which this set of prices is associated.
variant_id:in
A comma-separated list of IDs for one or more variants for which prices exist.
sku:in
A comma-separated list of SKUs for one or more variants for which prices exist.
Response
status
204 HTTP status code.
title
The error title describing the situation.
type
instance